Page MenuHomePhabricator

Fix scope of "Accept" when you don't check all the "Force Accept" boxes
ClosedPublic

Authored by epriestley on Apr 6 2017, 9:59 PM.
Tags
None
Referenced Files
Unknown Object (File)
Thu, Jun 30, 5:25 PM
Unknown Object (File)
Mon, Jun 27, 12:55 AM
Unknown Object (File)
Sat, Jun 11, 10:33 AM
Unknown Object (File)
Apr 10 2017, 7:23 AM
Unknown Object (File)
Apr 10 2017, 7:23 AM
Unknown Object (File)
Apr 10 2017, 7:23 AM
Unknown Object (File)
Apr 8 2017, 11:21 PM
Unknown Object (File)
Apr 7 2017, 5:49 PM
Subscribers
None

Details

Summary

Ref T12272. I wrote this correctly, then broke it by adding the simplification which treats "accept the defaults" as "accept everything".

This simplification lets us render "epriestley accepted this revision." instead of "epriestley accepted this revision onbehalf of: long, list, of, every, default, reviewer, they, have, authority, over." so it's a good thing, but make it only affect the reviewers it's supposed to affect.

Test Plan
  • Did an accept with a force-accept available but unchecked.
  • Before patch: incorrectly accepted all possible reviewers.
  • After patch: accepted only checked reviewers.
  • Also checked the force-accept box, accepted, got a proper force-accept.

Diff Detail

Repository
rP Phabricator
Lint
Lint Not Applicable
Unit
Tests Not Applicable